CREATE TYPE EMPLOYEE_TYPE AS ENUM ('INTERNAL', 'EXTERNAL');
CREATE CAST (VARCHAR AS employee_type) WITH INOUT AS IMPLICIT;

CREATE TABLE employee
(
	id SERIAL PRIMARY KEY,
	firstname VARCHAR(250),
	lastname VARCHAR(250),
	email VARCHAR(100),
    employee_type EMPLOYEE_TYPE,
	birth_day TIMESTAMP
);
